Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1048963

Summary: Review Request: backupninja - Lightweight, extensible backup system
Product: [Fedora] Fedora Reporter: Denis Fateyev <denis>
Component: Package ReviewAssignee: Antonio T. (sagitter) <anto.trande>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review
Target Milestone: ---Flags: anto.trande: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: backupninja-1.0.1-2.el6 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-01-18 02:01:25 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Denis Fateyev 2014-01-06 16:04:12 UTC
Spec URL: http://www.fateyev.com/RPMS/Fedora19/testing/backupninja.spec
SRPM URL: http://www.fateyev.com/RPMS/Fedora19/testing/SRPMS/backupninja-1.0.1-1.fc19.denf.src.rpm
Description: Lightweight, extensible backup system. Backupninja provides a centralized way to configure and schedule many different backup utilities.
Fedora Account System Username: dfateyev

There is Backupninja new package review request. Backupninja allows you to coordinate system backup by dropping a few simple configuration files into /etc/backup.d/. Most programs you might use for making backups don't have their own configuration file format. Backupninja provides a centralized way to configure and schedule many different backup utilities.

It allows for secure, remote, incremental file system backup (via rdiff-backup), compressed incremental data, backup system and hardware info, encrypted remote backups (via duplicity), safe backup of MySQL/PostgreSQL databases, subversion or trac repositories, burn CD/DVDs or create ISOs, incremental rsync with hard-linking.

Rawhide scratch builds for this package are available here:
https://koji.fedoraproject.org/koji/taskinfo?taskID=6364822

Comment 1 Antonio T. (sagitter) 2014-01-13 18:55:31 UTC
- You've forgot the %doc files
- '/etc/logrotate.d' and '/etc/cron.d' are directories owned by cronie and
  logrotate respectively. Those packages are not among the Requires ones.
- Please, try to use the first preference for buildroot tag
  %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
  See http://fedoraproject.org/wiki/EPEL:Packaging#BuildRoot_tag
- Fix the 'non-standard-dir-perm' error

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 2 files have unknown license. Detailed output of
     licensecheck in /home/sagitter/1048963-backupninja/licensecheck.txt
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /etc/logrotate.d, /etc/cron.d
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Buildroot is not present
     Note: Buildroot: present but not needed
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: backupninja-1.0.1-1.fc21.noarch.rpm
          backupninja-1.0.1-1.fc21.src.rpm
backupninja.noarch: E: incorrect-fsf-address /usr/share/backupninja/rsync
backupninja.noarch: E: script-without-shebang /usr/libexec/backupninja/vserver
backupninja.noarch: E: non-standard-dir-perm /etc/backup.d 0750L
backupninja.noarch: E: script-without-shebang /usr/libexec/backupninja/parseini
backupninja.src: W: spelling-error %description -l en_US rdiff -> riff, diff, r diff
backupninja.src: W: spelling-error %description -l en_US trac -> trace, tract, track
backupninja.src: W: spelling-error %description -l en_US rsync -> sync, r sync
2 packages and 0 specfiles checked; 4 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint backupninja
backupninja.noarch: E: incorrect-fsf-address /usr/share/backupninja/rsync
backupninja.noarch: E: script-without-shebang /usr/libexec/backupninja/vserver
backupninja.noarch: E: non-standard-dir-perm /etc/backup.d 0750L
backupninja.noarch: E: script-without-shebang /usr/libexec/backupninja/parseini
1 packages and 0 specfiles checked; 4 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
backupninja (rpmlib, GLIBC filtered):
    /usr/bin/bash
    config(backupninja)
    rdiff-backup



Provides
--------
backupninja:
    backupninja
    config(backupninja)



Source checksums
----------------
https://labs.riseup.net/code/attachments/download/275/backupninja-1.0.1.tar.gz :
  CHECKSUM(SHA256) this package     : 10fa5dbcd569a082b8164cd30276dd04a238c7190d836bcba006ea3d1235e525
  CHECKSUM(SHA256) upstream package : 10fa5dbcd569a082b8164cd30276dd04a238c7190d836bcba006ea3d1235e525


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1048963
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: BATCH, EPEL5, EXARCH, DISTTAG

Comment 2 Denis Fateyev 2014-01-16 21:34:51 UTC
I've fixed doc files and added "cronies" and "logrotate" to Requires. Thanks for pointing that.

As for Buildroot tag, I see that format used in the spec is also permitted, so I didn't change anything there. And, as for 'non-standard-dir-perm' error, seems that rpmlint considers most of the permissins invalid: "0750 (root,root)" is a reasonable set which allows to R/W to "root", and grants read permissions to "root" group members.

The updated spec: http://www.fateyev.com/RPMS/Fedora19/testing/backupninja.spec
SRPM file: http://www.fateyev.com/RPMS/Fedora19/testing/SRPMS/backupninja-1.0.1-1.fc19.denf.src.rpm

Comment 3 Antonio T. (sagitter) 2014-01-17 14:27:16 UTC
Package approved.

(In reply to Denis Fateyev from comment #2)
> As for Buildroot tag, I see that format used in the spec is also permitted,
> so I didn't change anything there. 

It's true but they are listed in descending order of preference. Is there a reason to skip the first choice ?

Comment 4 Denis Fateyev 2014-01-17 14:41:36 UTC
(In reply to Antonio Trande from comment #3)
> It's true but they are listed in descending order of preference. Is there a
> reason to skip the first choice ?

Not really, just personal preferences ;-) Since it's allowed, it's okay, too.

Comment 5 Denis Fateyev 2014-01-17 15:28:13 UTC
New Package SCM Request
=======================
Package Name: backupninja
Short Description: Lightweight, extensible backup system
Owners: dfateyev
Branches: f19 f20 el5 el6
InitialCC:

Comment 6 Gwyn Ciesla 2014-01-17 15:44:38 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2014-01-18 02:13:17 UTC
backupninja-1.0.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/backupninja-1.0.1-1.fc20

Comment 8 Fedora Update System 2014-01-18 02:15:27 UTC
backupninja-1.0.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/backupninja-1.0.1-1.fc19

Comment 9 Fedora Update System 2014-01-18 02:17:15 UTC
backupninja-1.0.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/backupninja-1.0.1-1.el6

Comment 10 Fedora Update System 2014-01-18 02:18:57 UTC
backupninja-1.0.1-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/backupninja-1.0.1-1.el5

Comment 11 Fedora Update System 2014-01-19 22:52:11 UTC
backupninja-1.0.1-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/backupninja-1.0.1-2.fc20

Comment 12 Fedora Update System 2014-01-19 22:55:43 UTC
backupninja-1.0.1-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/backupninja-1.0.1-2.fc19

Comment 13 Fedora Update System 2014-01-19 22:57:12 UTC
backupninja-1.0.1-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/backupninja-1.0.1-2.el6

Comment 14 Fedora Update System 2014-01-19 22:58:56 UTC
backupninja-1.0.1-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/backupninja-1.0.1-2.el5

Comment 15 Fedora Update System 2014-01-29 03:04:55 UTC
backupninja-1.0.1-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2014-01-29 03:15:04 UTC
backupninja-1.0.1-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2014-02-04 19:06:03 UTC
backupninja-1.0.1-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2014-02-04 19:06:25 UTC
backupninja-1.0.1-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Denis Fateyev 2014-06-27 19:53:55 UTC
Package Change Request
======================
Package Name: backupninja
New Branches: epel7
Owners: dfateyev

Comment 20 Gwyn Ciesla 2014-06-30 12:07:32 UTC
Git done (by process-git-requests).